<?php

include '../../../script/conexion.php';

$sql = "SELECT nombre_tercero FROM alm_pedido 
        UNION 
        SELECT nombre_tercero FROM alm_venta
        UNION 
        SELECT nombre_tercero FROM alm_cierre_detalle";
$query = $conn->query($sql);
if ($query->num_rows > 0) {
    while ($row = $query->fetch_assoc()) {

        $total_talla_referencia = 0;
        $sql1 = "SELECT pd.referencia_producto FROM alm_pedido p, alm_pedido_detalle pd 
                WHERE p.id=pd.id_pedido AND p.nombre_tercero='" . $row['nombre_tercero'] . "' AND p.estado!='Cancelado' 
                UNION 
                SELECT dd.referencia_producto FROM alm_venta d, alm_venta_detalle dd 
                WHERE d.id=dd.id_venta AND d.nombre_tercero='" . $row['nombre_tercero'] . "' AND d.estado!='Cancelado'
                UNION 
                SELECT referencia_producto FROM alm_cierre_detalle 
                WHERE nombre_tercero='" . $row['nombre_tercero'] . "'";
        $query1 = $conn->query($sql1);
        if ($query1->num_rows > 0) {
            while ($row1 = $query1->fetch_assoc()) {

                $total_talla = 0;
                $sql2 = "SELECT pd.talla FROM alm_pedido p, alm_pedido_detalle pd 
                        WHERE p.id=pd.id_pedido AND p.nombre_tercero='" . $row['nombre_tercero'] . "' AND p.estado!='Cancelado'
                        UNION 
                        SELECT dd.talla FROM alm_venta d, alm_venta_detalle dd 
                        WHERE d.id=dd.id_venta AND d.nombre_tercero='" . $row['nombre_tercero'] . "' AND d.estado!='Cancelado'   
                        UNION 
                        SELECT talla FROM alm_cierre_detalle 
                        WHERE nombre_tercero='" . $row['nombre_tercero'] . "'";
                $query2 = $conn->query($sql2);
                if ($query2->num_rows > 0) {
                    while ($row2 = $query2->fetch_assoc()) {


                        $class_nombre_tercero_cierre = $row['nombre_tercero'];
                        $class_referencia_cierre = $row1['referencia_producto'];
                        $class_talla_cierre = $row2['talla'];

                        include '../../../clases/class-cierre.php';
                    }
                }
            }
        }
    }
}


echo '<script language = javascript>
                    self.location = "../sincronizar-tercero.php?"
                </script>';
?>
